summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-misc/nxclient-2xterminalserver')
-rw-r--r--net-misc/nxclient-2xterminalserver/ChangeLog26
-rw-r--r--net-misc/nxclient-2xterminalserver/Manifest7
-rw-r--r--net-misc/nxclient-2xterminalserver/files/1.5.0/nxcomp-1.5.0-gcc4.patch12
-rw-r--r--net-misc/nxclient-2xterminalserver/files/1.5.0/nxcomp-1.5.0-pic.patch20
-rw-r--r--net-misc/nxclient-2xterminalserver/metadata.xml8
-rw-r--r--net-misc/nxclient-2xterminalserver/nxclient-2xterminalserver-1.5.0.ebuild89
6 files changed, 162 insertions, 0 deletions
diff --git a/net-misc/nxclient-2xterminalserver/ChangeLog b/net-misc/nxclient-2xterminalserver/ChangeLog
new file mode 100644
index 0000000..ade0745
--- /dev/null
+++ b/net-misc/nxclient-2xterminalserver/ChangeLog
@@ -0,0 +1,26 @@
+# ChangeLog for net-misc/nxclient-2xterminalserver
+# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/net-misc/nxclient-2xterminalserver/ChangeLog,v 1.5 2008/02/29 20:26:25 carlo Exp $
+
+ 29 Feb 2008; Carsten Lohrke <carlo@gentoo.org>
+ nxclient-2xterminalserver-1.5.0.ebuild:
+ Remove icon extension from desktop entry to match Icon Theme Specification.
+
+ 13 Jan 2008; Bernard Cafarelli <voyageur@gentoo.org>
+ nxclient-2xterminalserver-1.5.0.ebuild:
+ Missing depend, bug #205425. Also fix quoting
+
+ 12 May 2007; Bernard Cafarelli <voyageur@gentoo.org> metadata.xml:
+ Fixed maintainer in metadata.xml
+
+ 30 Apr 2007; Bernard Cafarelli <voyageur@gentoo.org>
+ nxclient-2xterminalserver-1.5.0.ebuild:
+ Extended description
+
+*nxclient-2xterminalserver-1.5.0 (25 Apr 2007)
+
+ 25 Apr 2007; Bernard Cafarelli <voyageur@gentoo.org>
+ +files/1.5.0/nxcomp-1.5.0-gcc4.patch, +files/1.5.0/nxcomp-1.5.0-pic.patch,
+ +metadata.xml, +nxclient-2xterminalserver-1.5.0.ebuild:
+ Initial commit
+
diff --git a/net-misc/nxclient-2xterminalserver/Manifest b/net-misc/nxclient-2xterminalserver/Manifest
new file mode 100644
index 0000000..ed7d344
--- /dev/null
+++ b/net-misc/nxclient-2xterminalserver/Manifest
@@ -0,0 +1,7 @@
+AUX 1.5.0/nxcomp-1.5.0-gcc4.patch 329 RMD160 03065afd0dd2b0345a170bcc1ebd8da333004df4 SHA1 cdaf51133f34486e2d9cbc6cf61482eea8b3e9a0 SHA256 097b34afa77d40919e20f54a6b99ea10e2780720e58e72d4d7871303004749e3
+AUX 1.5.0/nxcomp-1.5.0-pic.patch 523 RMD160 5552146e4539f33cf61e1f6c3f323f51057e2e75 SHA1 95147d1e0a53df86c4f192fb6ee700303eb5f8bf SHA256 fe17e3e36b75fb0d4ac5ad74ff0ecc76ccb91e14b5d2f1a65cfd8c2bfc32cc62
+DIST linuxterminalserver-1.5.0-client-r21-src.tar.gz 2270147 RMD160 32fa31ee713d46e66c8a5e4aa14126995b225cfb SHA1 9295a232409b56ecb2fb4dccf81e6c05d65a7130 SHA256 70c7e3c9741b577b867e78524a1fb607aa2fae5d6f1bdda4b1a42eb9fd3d7bb3
+DIST linuxterminalserver-1.5.0-common-r21-src.tar.gz 34332949 RMD160 411291efa4bef31fbb5ff8128591514c687b9eeb SHA1 f63ed2816b13f1296db909b40ffb1c7d4cb5e109 SHA256 a6aaf7b1593d4df012ecefd1c8a6a176c0fde23cf9039401fe61f56197898555
+EBUILD nxclient-2xterminalserver-1.5.0.ebuild 2235 RMD160 541733a55937d773b5512b7244a5471320498ef7 SHA1 2322268fdfc67e988fe1f95784454bf212c29ae9 SHA256 0c245af7bf3cb37a24166fceb6620469760c8374662abe4b4d1f3aaab27a6293
+MISC ChangeLog 1038 RMD160 39432720073e7bffc97eaa77558c8c35be8a779f SHA1 378c091757dd8fbb982b28157140ce19562080f7 SHA256 334249bf6c66ff534e9b437d83dde05c6d83f6cadfab5e5fa14d8c964234b95f
+MISC metadata.xml 246 RMD160 805a8e0fe383f08483a183ba10b187db237bc339 SHA1 928f16d5902d6bc9534efa5bd354354eb5a78816 SHA256 dffaab34dbca768badd62149c2ea41036b78507e0cc3674cc7b82b5b5edef0a2
diff --git a/net-misc/nxclient-2xterminalserver/files/1.5.0/nxcomp-1.5.0-gcc4.patch b/net-misc/nxclient-2xterminalserver/files/1.5.0/nxcomp-1.5.0-gcc4.patch
new file mode 100644
index 0000000..3a3a79b
--- /dev/null
+++ b/net-misc/nxclient-2xterminalserver/files/1.5.0/nxcomp-1.5.0-gcc4.patch
@@ -0,0 +1,12 @@
+--- common/nxcomp/RenderExtension.h.orig 2005-02-19 18:23:32.000000000 +0000
++++ common/nxcomp/RenderExtension.h 2005-08-27 23:16:05.000000000 +0100
+@@ -68,6 +68,8 @@
+ // The message class.
+ //
+
++class RenderMinorExtensionStore;
++
+ class RenderExtensionMessage : public Message
+ {
+ friend class RenderExtensionStore;
+
diff --git a/net-misc/nxclient-2xterminalserver/files/1.5.0/nxcomp-1.5.0-pic.patch b/net-misc/nxclient-2xterminalserver/files/1.5.0/nxcomp-1.5.0-pic.patch
new file mode 100644
index 0000000..7c453a2
--- /dev/null
+++ b/net-misc/nxclient-2xterminalserver/files/1.5.0/nxcomp-1.5.0-pic.patch
@@ -0,0 +1,20 @@
+--- common/nxcomp/Makefile.in.orig 2006-11-22 21:43:15.000000000 +0000
++++ common/nxcomp/Makefile.in 2006-11-22 21:43:33.000000000 +0000
+@@ -32,7 +32,7 @@
+
+ CXX = @CXX@
+ CXXFLAGS = @CXXFLAGS@ @X_CFLAGS@ @DEFS@ \
+- -Wall -Wpointer-arith
++ -Wall -Wpointer-arith -fPIC
+ CXXINCLUDES =
+ CXXDEFINES =
+
+@@ -43,7 +43,7 @@
+
+ CC = @CC@
+ CCFLAGS = @X_CFLAGS@ @DEFS@ \
+- -Wall -Wpointer-arith
++ -Wall -Wpointer-arith -fPIC
+ CCINCLUDES =
+ CCDEFINES =
+
diff --git a/net-misc/nxclient-2xterminalserver/metadata.xml b/net-misc/nxclient-2xterminalserver/metadata.xml
new file mode 100644
index 0000000..cdb7622
--- /dev/null
+++ b/net-misc/nxclient-2xterminalserver/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>nx</herd>
+<longdescription>
+ Client part of 2x Terminal Server (a GPL NX server)
+</longdescription>
+</pkgmetadata>
diff --git a/net-misc/nxclient-2xterminalserver/nxclient-2xterminalserver-1.5.0.ebuild b/net-misc/nxclient-2xterminalserver/nxclient-2xterminalserver-1.5.0.ebuild
new file mode 100644
index 0000000..c9610b5
--- /dev/null
+++ b/net-misc/nxclient-2xterminalserver/nxclient-2xterminalserver-1.5.0.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-misc/nxclient-2xterminalserver/nxclient-2xterminalserver-1.5.0.ebuild,v 1.4 2008/02/29 20:26:25 carlo Exp $
+
+inherit eutils qt3
+
+DESCRIPTION="2X Terminal Server GPL NX client, based on NoMachine code"
+HOMEPAGE="http://www.2x.com/terminalserver/"
+SRC_URI="http://code.2x.com/release/linuxterminalserver/src/linuxterminalserver-1.5.0-common-r21-src.tar.gz
+ http://code.2x.com/release/linuxterminalserver/src/linuxterminalserver-1.5.0-client-r21-src.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="
+ dev-libs/openssl
+ media-libs/audiofile
+ media-libs/jpeg
+ media-libs/libpng
+ net-print/cups
+ sys-libs/zlib
+ =x11-libs/qt-3*
+ !net-misc/nxclient"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}"
+
+src_unpack()
+{
+ unpack ${A}
+ cd "${S}"
+ epatch "${FILESDIR}"/1.5.0/nxcomp-1.5.0-gcc4.patch
+ epatch "${FILESDIR}"/1.5.0/nxcomp-1.5.0-pic.patch
+
+ # Set correct product name
+ einfo "Setting official product name"
+ find client/nxclient common/nx-X11/programs/Xserver/hw/nxagent/Args.c \
+ -type f -exec sed -i "s/@PRODUCT_NAME@/2X TerminalServer/g" {} \;
+}
+
+src_compile()
+{
+ cd "${S}"/common/nxcomp
+ econf || die
+ emake || die
+
+ cd "${S}"/common/nxssh
+ econf || die
+ emake || die
+
+ cd "${S}"/client/nxesd
+ econf || die
+ emake || die
+
+ cd "${S}"/client/nxclient
+ econf || die
+ emake || die
+
+ cd "${S}"/client/nxclient/nxprint
+ emake || die
+}
+
+src_install() {
+ # we install into /usr/NX, as NoMachine and 2X do
+
+ for x in nxclient nxprint nxssh nxesd ; do
+ make_wrapper $x ./$x /usr/NX/bin /usr/NX/lib || die
+ done
+
+ into /usr/NX
+ dobin client/nxclient/nxclient
+ dobin client/nxclient/nxprint/nxprint
+ dobin client/nxesd/nxesd
+ dobin common/nxssh/nxssh
+
+ dodir /usr/NX/lib
+ cp -P common/nxcomp/libXcomp.so* "${D}"/usr/NX/lib || die
+
+ dodir /usr/NX/share
+ cp -R client/nxclient/share "${D}"/usr/NX || die
+
+ # Add icons/desktop entries
+ doicon client/nxclient/share/icons/*.png
+ make_desktop_entry "nxclient" "NX Client" nx-desktop
+ make_desktop_entry "nxclient -admin" "NX Session Administrator" nxclient-admin
+ make_desktop_entry "nxclient -wizard" "NX Connection Wizard" nxclient-wizard
+}